%global enable_tests 1
%global module_name duplexify

Name:           nodejs-%{module_name}
Version:        3.4.0
Release:        2%{?dist}
Summary:        Turn a writeable and readable stream into a single streams2 duplex stream

License:        MIT
URL:            https://github.com/mafintosh/duplexify
Source0:        http://registry.npmjs.org/%{module_name}/-/%{module_name}-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tape)
BuildRequires:  npm(tap)
BuildRequires:  npm(through2)
BuildRequires:  npm(concat-stream)
BuildRequires:  npm(end-of-stream)
%endif

%description
%{summary}.

%prep
%setup -q -n package
rm -rf node_modules

%nodejs_fixdep end-of-stream ~1.x
%nodejs_fixdep readable-stream

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json *.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
tap test.js
%endif

%files
%doc README.md LICENSE
%{nodejs_sitelib}/%{module_name}

%changelog
* Fri Dec 18 2015 Parag Nemade <pnemade AT redhat DOT com> - 3.4.0-2
- Rebuild for readable-stream

* Fri Aug 14 2015 Parag Nemade <pnemade AT redhat DOT com> - 3.4.0-1
- Update to 3.4.0

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Dec 22 2014 Parag Nemade <pnemade AT redhat DOT com> - 3.2.0-1
- Initial packaging

